<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	exclude-result-prefixes="xpil"
	xmlns:xpil="http://www.together.at/2006/XPIL1.0"
	xmlns:xpdl="http://www.wfmc.org/2002/XPDL1.0" version="1.0">
	<xsl:output method="html" />
	<xsl:param name="auth_type" select="FORM" />
	<xsl:param name="username" select="u" />
	<xsl:param name="from_element" select="11" />
	<xsl:param name="to_element" select="20" />
	<xsl:param name="sortCriterion" select="20" />
	<xsl:param name="sortAsc" select="true" />
	<xsl:param name="total_number" select="200" />
	<xsl:param name="fromPage" select="p" />
	<xsl:param name="sharkEdition" select="e" />
	<xsl:param name="navig_url" select="UserActionsHandlerPO.po" />
	<xsl:template match="xpil:ExtendedWorkflowFacilityInstance">
		<html>
			<head>
				<title>User Actions</title>
				<script type="text/javascript">
					function submitForm(formId, actionAttr) { var
					formTag = document.getElementById(formId);
					formTag.action=actionAttr; formTag.submit(); }
					function submitFormEvent(formId, actionAttr,event) {
					var formTag = document.getElementById(formId);
					formTag.action=actionAttr;
					formTag.event.value=event; formTag.submit(); }
				</script>
			</head>
			<body class="body_home">

				<form id="mainForm" name="mainForm" method="post"
					action="Blank.xhtml">
					<input type="hidden" name="event" />

					<table class="title_style" width="85%" border="0"
						align="center" cellpadding="0" cellspacing="0">
						<tr>
							<td colspan="5">
                              <table width="100%">
                                <tr>
                                  <td width="2%" />
                  
                                   <td class="logo_image_one"/>
                              
                                   <td  class="logo_image_two" />
                     
                                    <td class="logo_image_three"/>
                                  <td width="2%" />
                              </tr>
                        </table>
                        </td>
                     </tr>
						<tr>
							<td width="2%" />
							
							<td colspan="3">
								<table class="title_style" width="100%"
									border="0" align="center" cellpadding="0" cellspacing="0">
									<tr>
										<td align="right"
											class="title_style" colspan="2" height="15">
										</td>
									</tr>
									<tr>
										<td align="right"
											class="title_style" colspan="2" height="15" />
									</tr>
									<tr>
										<td align="right"
											class="title_style" colspan="2" height="15" />
									</tr>
									<tr>
										<td align="right"
											class="title_style" colspan="2" height="15" />
									</tr>
									<tr>

                                 <td class="title_style" height="28" colspan="2">
                                    <img src="media/blank.gif" alt="" width="1"/>
                                 </td>
									</tr>
								</table>
							</td>
							<td width="2%" />
						</tr>
						<tr>
							<td class="body_upper" colspan="5"
								height="4" />
						</tr>
						<tr>
                         <td align="left" class="body_home" width="2%"/>
				         <td align="left" class="body_home" height="15">
					        User Actions
				        </td>
				        <td align="center" class="body_home" height="15" width="5%">
                          
                        </td>
				        <td align="right" class="body_home" height="15">
				          <b>User:</b> <xsl:value-of select="$username" />
				        </td>
                        <td align="left" class="body_home" width="2%"/>
					   </tr>
						<tr>
							<td class="body_lower" colspan="5"
								height="1" />
					 </tr>
						<tr>
                         <td align="left" class="body_home" width="2%"/>
				         <td align="left" class="body_home" height="15"/>
				         <td align="center" class="body_home" height="15" width="5%"/>
				         <td align="right" class="body_home" height="15"/>
                         <td align="left" class="body_home" width="2%"/>
                    </tr>
               <tr>
                 
               </tr>
						<tr height="50%" />
						<tr height="35">
							<td width="2%" />
							<td align="left" colspan="2">
							<xsl:if test="$fromPage='new'">
							 <b>CREATE NEW USER</b>
							</xsl:if>
							<xsl:if test="$fromPage='pass'">
							 <b>CHANGE USER PASSWORD</b>
							</xsl:if>
							<xsl:if test="$fromPage='upd'">
							 <b>UPDATE USER DATA</b>
							</xsl:if>
								
							</td>
							<td width="2%" />
						</tr>
						<tr>
							<td colspan="4">
								<table width="100%" hight="100%"
									align="center" border="0" cellpadding="0" cellspacing="0"
									class="body_main">
									
									
									<xsl:if test="$fromPage='new'">
									 <tr>
													<td>
														<b>Group name:</b>
													</td>
													
												    	<td>
													     <select name="group_manager">
                                                            <xsl:for-each select="xpil:InstanceExtendedAttribute">
                                                            <xsl:if test="@Name='group'">
                                                              <xsl:variable name="opt">
                                                                <xsl:value-of select="@Value"/>
                                                              </xsl:variable>
                                                              <option value="{$opt}">
                                                                <xsl:value-of select="@Value"/>
                                                              </option>
                                                           </xsl:if>
                                                        </xsl:for-each>
                                                         </select>
													      </td>
												</tr>
											
									</xsl:if>
									<xsl:for-each select="//.">
										<xsl:choose>
											<xsl:when
												test="name()='xpil:InstanceExtendedAttributes'">
												
												<tr>
													<td>
														<b>Username:</b>
													</td>
													<td>
													<xsl:if test="$fromPage='pass' or $fromPage='upd'">
													   <xsl:value-of select="xpil:InstanceExtendedAttribute[1]/@Value"/>
													</xsl:if>
													<xsl:if test="$fromPage='new'">
													 <input type="text" name="text1"/>
													</xsl:if>
													</td>
												</tr>
												<xsl:if test="$fromPage='pass' or $fromPage='new'">
												   <tr>
													 <td>
														<b>Password:</b>
													 </td>
													 <td>
													  <input type="password" name="pass1">
													  </input>
													 </td>
												   </tr>
												   <tr>
													 <td>
														<b>Confirm password:</b>
													 </td>
													 <td>
													   <input type="password" name="pass2">
													   </input>
													 </td>
												   </tr>
											</xsl:if>
												<tr>
													<td>
														<b>First name:</b>
													</td>
													<td>
													<xsl:if test="$fromPage='pass'">
													   <xsl:value-of select="xpil:InstanceExtendedAttribute[2]/@Value"/>
													</xsl:if>
													<xsl:if test="$fromPage='new'">
													 <input type="text" name="text2"/>
													</xsl:if>
													<xsl:if test="$fromPage='upd'">
													 <input type="text" name="text2" value="{xpil:InstanceExtendedAttribute[2]/@Value}"/>
													</xsl:if>
													</td>
												</tr>
												<tr>
													<td>
														<b>Last name:</b>
													</td>
													<td>
													<xsl:if test="$fromPage='pass'">
													   <xsl:value-of select="xpil:InstanceExtendedAttribute[3]/@Value"/>
													</xsl:if>
													<xsl:if test="$fromPage='new'">
													 <input type="text" name="text3"/>
													</xsl:if>
													<xsl:if test="$fromPage='upd'">
													 <input type="text" name="text3" value="{xpil:InstanceExtendedAttribute[3]/@Value}"/>
													</xsl:if>
													</td>
												</tr>
												<tr>
													<td>
														<b>Email adress:</b>
													</td>
													<td>
													<xsl:if test="$fromPage='pass'">
													   <xsl:value-of select="xpil:InstanceExtendedAttribute[4]/@Value"/>
													</xsl:if>
													<xsl:if test="$fromPage='new'">
													 <input type="text" name="text4"/>
													</xsl:if>
													<xsl:if test="$fromPage='upd'">
													 <input type="text" name="text4" value="{xpil:InstanceExtendedAttribute[4]/@Value}"/>
													</xsl:if>
													</td>
												</tr>
												
												
											</xsl:when>
										</xsl:choose>
										
									</xsl:for-each>
								</table>
							</td>
						</tr>


						<tr height="15">
							<td width="2%" colspan="4" />
						</tr>
						<tr>
						<xsl:variable name="okUrl">
								javascript:submitFormEvent('mainForm','UserActionsHandlerPO.po?from=
								<xsl:value-of select='$from_element' />
								&#38;sortCriterion=
								<xsl:value-of select="$sortCriterion" />
								&#38;sortAsc=
								<xsl:value-of select="$sortAsc" />
								&#38;old_name=
								<xsl:value-of select="/xpil:ExtendedWorkflowFacilityInstance/xpil:InstanceExtendedAttributes/xpil:InstanceExtendedAttribute[1]/@Value" />
								&#38;fromPage=
								<xsl:value-of select="$fromPage" />
								','ok')
							</xsl:variable>
							<xsl:variable name="closeUrl">
								javascript:submitFormEvent('mainForm','UserActionsHandlerPO.po?from=
								<xsl:value-of select='$from_element' />
								&#38;sortCriterion=
								<xsl:value-of select="$sortCriterion" />
								&#38;sortAsc=
								<xsl:value-of select="$sortAsc" />
								','close')
							</xsl:variable>
							<td width="2%"/>
							
							
							<td colspan="3" class="title_style"
								height="30" align="right">
								<table align="right">
								<tr>
								<td>
								<a href="{$okUrl}"
									class="link_text">
									<img src="media/save_n.gif"
										border="0" alt="Save" />
								</a>
								</td>
								<td>
								<a href="{$closeUrl}"
									class="link_text">
									<img src="media/cancel_n.gif"
										border="0" alt="OK" />
								</a>
								</td>
								</tr>
								</table>
							</td>
							<td width="2%" />
						</tr>

						<tr>
                         <td align="left" class="body_bottom"
                           width="2%" />
                         <td align="left" colspan="2" class="body_bottom"
                               height="15">
                             &#169; 2006 Together Teaml&#246;sungen
                          </td>
                         <td class="body_bottom" height="15" align="center" colspan="2">
                           <xsl:if test="$auth_type!='BASIC' and $auth_type!='NTLM'"> 
                              <xsl:variable name="loUrl">javascript:submitFormEvent('mainForm','WorklistHandlerPO.po','logout')</xsl:variable>
                              <a href="{$loUrl}">Log-out</a>
                           </xsl:if>
                         </td>
                          <!-- td align="left" class="body_bottom"
                            width="2%" /-->
               </tr>
					</table>
				</form>
			</body>
		</html>
	</xsl:template>


</xsl:stylesheet>
