Create table SHKProcessHistoryInfo
(
ProcessId  NVARCHAR (100)  NOT NULL     ,
ProcessName  NVARCHAR (254)     ,
ProcessFactoryName  NVARCHAR (200)  NOT NULL     ,
ProcessFactoryVersion  NVARCHAR (20)  NOT NULL     ,
ProcessDefinitionId  NVARCHAR (90)  NOT NULL     ,
ProcessDefinitionName  NVARCHAR (90)     ,
PackageId  NVARCHAR (90)  NOT NULL     ,
PActivityId  NVARCHAR (100)     ,
PProcessId  NVARCHAR (100)     ,
PProcessName  NVARCHAR (254)     ,
PProcessFactoryName  NVARCHAR (200)     ,
PProcessFactoryVersion  NVARCHAR (20)     ,
PActivityDefinitionId  NVARCHAR (90)     ,
PActivityDefinitionName  NVARCHAR (90)     ,
PProcessDefinitionId  NVARCHAR (90)     ,
PProcessDefinitionName  NVARCHAR (90)     ,
PPackageId  NVARCHAR (90)     ,
CreatedTime  BIGINT    ,
CreatedTimeTZO  BIGINT    ,
StartedTime  BIGINT    ,
StartedTimeTZO  BIGINT    ,
SuspendedTime  BIGINT    ,
SuspendedTimeTZO  BIGINT    ,
ResumedTime  BIGINT    ,
ResumedTimeTZO  BIGINT    ,
ClosedTime  BIGINT    ,
ClosedTimeTZO  BIGINT    ,
CreatedByUsername  NVARCHAR (100)     ,
StartedByUsername  NVARCHAR (100)     ,
SuspendedByUsername  NVARCHAR (100)     ,
ResumedByUsername  NVARCHAR (100)     ,
ClosedByUsername  NVARCHAR (100)     ,
LastState  NVARCHAR (100)     ,
LastStateTime  BIGINT    ,
LastStateTimeTZO  BIGINT    ,
ProcessDuration  BIGINT    ,
oid  DECIMAL (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKProcessHistoryDetails
(
ProcessId  NVARCHAR (100)  NOT NULL     ,
ProcessHistoryInfo  DECIMAL (19,0)  NOT NULL    ,
TheType  INT NOT NULL     ,
RecordedTime  BIGINT NOT NULL     ,
RecordedTimeTZO  BIGINT NOT NULL     ,
TheUsername  NVARCHAR (100)  NOT NULL     ,
VariableDefinitionId  NVARCHAR (100)     ,
VariableType  INT    ,
VariableValue  IMAGE    ,
VariableValueXML  NVARCHAR (4000)     ,
VariableValueVCHAR  NVARCHAR (4000)     ,
VariableValueDBL  REAL    ,
VariableValueLONG  BIGINT    ,
VariableValueDATE  DATETIME    ,
VariableValueBOOL  TINYINT    ,
OrdNo  INT NOT NULL     ,
CNT  DECIMAL (19,0)  NOT NULL     ,
oid  DECIMAL (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKActivityHistoryInfo
(
ProcessId  NVARCHAR (100)  NOT NULL     ,
ProcessName  NVARCHAR (254)     ,
ProcessFactoryName  NVARCHAR (200)  NOT NULL     ,
ProcessFactoryVersion  NVARCHAR (20)  NOT NULL     ,
ProcessDefinitionId  NVARCHAR (90)  NOT NULL     ,
ProcessDefinitionName  NVARCHAR (90)     ,
PackageId  NVARCHAR (90)  NOT NULL     ,
ActivityId  NVARCHAR (100)  NOT NULL     ,
ActivityName  NVARCHAR (254)     ,
ActivityDefinitionId  NVARCHAR (90)  NOT NULL     ,
ActivityDefinitionName  NVARCHAR (90)     ,
ActivityDefinitionType  INT    ,
CreatedTime  BIGINT NOT NULL     ,
CreatedTimeTZO  BIGINT    ,
StartedTime  BIGINT    ,
StartedTimeTZO  BIGINT    ,
SuspendedTime  BIGINT    ,
SuspendedTimeTZO  BIGINT    ,
ResumedTime  BIGINT    ,
ResumedTimeTZO  BIGINT    ,
AcceptedTime  BIGINT    ,
AcceptedTimeTZO  BIGINT    ,
RejectedTime  BIGINT    ,
RejectedTimeTZO  BIGINT    ,
ClosedTime  BIGINT    ,
ClosedTimeTZO  BIGINT    ,
CreatedByUsername  NVARCHAR (100)     ,
StartedByUsername  NVARCHAR (100)     ,
SuspendedByUsername  NVARCHAR (100)     ,
ResumedByUsername  NVARCHAR (100)     ,
AcceptedByUsername  NVARCHAR (100)     ,
RejectedByUsername  NVARCHAR (100)     ,
ClosedByUsername  NVARCHAR (100)     ,
CurrentUsername  NVARCHAR (100)     ,
LastState  NVARCHAR (100)     ,
LastStateTime  BIGINT    ,
LastStateTimeTZO  BIGINT    ,
ActivityDuration  BIGINT    ,
oid  DECIMAL (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKActivityHistoryDetails
(
ActivityId  NVARCHAR (100)  NOT NULL     ,
ActivityHistoryInfo  DECIMAL (19,0)  NOT NULL    ,
TheType  INT NOT NULL     ,
RecordedTime  BIGINT NOT NULL     ,
RecordedTimeTZO  BIGINT NOT NULL     ,
TheUsername  NVARCHAR (100)  NOT NULL     ,
ReassignFrom  NVARCHAR (100)     ,
ReassignTo  NVARCHAR (100)     ,
VariableDefinitionId  NVARCHAR (100)     ,
VariableType  INT    ,
VariableValue  IMAGE    ,
VariableValueXML  NVARCHAR (4000)     ,
VariableValueVCHAR  NVARCHAR (4000)     ,
VariableValueDBL  REAL    ,
VariableValueLONG  BIGINT    ,
VariableValueDATE  DATETIME    ,
VariableValueBOOL  TINYINT    ,
OrdNo  INT NOT NULL     ,
CNT  DECIMAL (19,0)  NOT NULL     ,
oid  DECIMAL (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



